# wlantools.py
#
# Modul mit Funktionen zum Wlan.
#

import network


# Wlan Verbindung herstellen

wlan = network.WLAN(network.STA_IF)
wlan.active(True)
if not wlan.isconnected():
    print('connecting to network...')
    wlan.connect('Kapest-Fritz', 'Milan987')
    while not wlan.isconnected():
        pass
print('network config:', wlan.ifconfig())



def get_date():
    import time
    date_time = time.localtime()
    return '-'.join((str(date_time[2]), str(date_time[1]), str(date_time[0])))


def get_time():
    import time
    date_time = time.localtime()
    return ':'.join((str(date_time[3]), str(date_time[4]), str(date_time[5])))

